aboutsummaryrefslogtreecommitdiffstats
path: root/tools/docker/test-containers/dpdk-forwarding-pods/l2l3fwd/docker-entrypoint.sh
diff options
context:
space:
mode:
authorSridhar K. N. Rao <sridhar.rao@spirent.com>2021-11-12 16:00:03 +0530
committerSridhar K. N. Rao <sridhar.rao@spirent.com>2021-11-12 16:01:30 +0530
commit24e68cf441d94ba09a13f21fdfc994d4a14dfde0 (patch)
tree127b699abb0bd1b17bce9f138f3b2648ee7d0ecf /tools/docker/test-containers/dpdk-forwarding-pods/l2l3fwd/docker-entrypoint.sh
parent4fa105c5b4113a9ff4311569709ca99a8fbf5028 (diff)
Docker: Forwarding Pods.
This patch adds source file required to build 2 forwarding pods. 1. L2 and L3 Fowarding 2. VPP Signed-off-by: Sridhar K. N. Rao <sridhar.rao@spirent.com> Change-Id: Ibffea4ebe34a575d040778e45b6ba9e92af5e8b6
Diffstat (limited to 'tools/docker/test-containers/dpdk-forwarding-pods/l2l3fwd/docker-entrypoint.sh')
-rwxr-xr-xtools/docker/test-containers/dpdk-forwarding-pods/l2l3fwd/docker-entrypoint.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/tools/docker/test-containers/dpdk-forwarding-pods/l2l3fwd/docker-entrypoint.sh b/tools/docker/test-containers/dpdk-forwarding-pods/l2l3fwd/docker-entrypoint.sh
new file mode 100755
index 00000000..bd3b0284
--- /dev/null
+++ b/tools/docker/test-containers/dpdk-forwarding-pods/l2l3fwd/docker-entrypoint.sh
@@ -0,0 +1,18 @@
+#!/bin/bash
+set -e
+
+echo "DPDK_SAMPLE_APP is set as: $DPDK_SAMPLE_APP"
+
+if [[ $DPDK_SAMPLE_APP == l2fwd ]] ; then
+ echo "Calling: l2fwd"
+ exec "l2fwd"
+elif [[ $DPDK_SAMPLE_APP == l3fwd ]] ; then
+ echo "Calling: l3fwd"
+ exec "l3fwd"
+elif [[ $DPDK_SAMPLE_APP == testpmd ]] ; then
+ echo "Calling: testpmd"
+ exec "testpmd"
+else
+ echo "Net set so using default - Calling: $@"
+ exec "$@"
+fi